Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.twiddle
Class Twiddle

    java.lang.Object
      org.jboss.console.twiddle.Twiddle

public class Twiddle
extends Object

A command to invoke an operation on an MBean (or MBeans).

Version:
  $Revision: 1.17 $
Author:
  Jason Dillon, Scott.Stark@jboss.org

Field Summary
`static String` | `CMD_PROPERTIES`
`static String` | `DEFAULT_JNDI_NAME`
`static String` | `PROGRAM_NAME`

Constructor Summary
`Twiddle(PrintWriter out, PrintWriter err)`

Method Summary
`void` | `addCommandPrototype(Command proto)`
`Command` | `createCommand(String name)`
`void` | `displayCommandList()`
`static void` | `main(String[] args)`
`void` | `setAdapterName(String name)`
`void` | `setQuiet(boolean flag)`
`void` | `setServerURL(String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROGRAM_NAME

    public static final String PROGRAM_NAME

### CMD_PROPERTIES

    public static final String CMD_PROPERTIES

See Also:
  Constant Field Values

### DEFAULT_JNDI_NAME

    public static final String DEFAULT_JNDI_NAME

See Also:
  Constant Field Values

Constructor Detail

### Twiddle

    public Twiddle(PrintWriter out,
                   PrintWriter err)

Method Detail

### setServerURL

    public void setServerURL(String url)

### setAdapterName

    public void setAdapterName(String name)

### setQuiet

    public void setQuiet(boolean flag)

### addCommandPrototype

    public void addCommandPrototype(Command proto)

### createCommand

    public Command createCommand(String name)
                          throws NoSuchCommandException,
                                 Exception

  Throws:
    `NoSuchCommandException`
    `Exception`

### displayCommandList

    public void displayCommandList()

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.